import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class TrisolarisContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    trisolarisFactory({ address, network }: ContractOpts): import("./ethers").TrisolarisFactory;
    trisolarisMasterChef({ address, network }: ContractOpts): import("./ethers").TrisolarisMasterChef;
    trisolarisPair({ address, network }: ContractOpts): import("./ethers").TrisolarisPair;
    trisolarisRewarder({ address, network }: ContractOpts): import("./ethers").TrisolarisRewarder;
}
export type { TrisolarisFactory } from './ethers';
export type { TrisolarisMasterChef } from './ethers';
export type { TrisolarisPair } from './ethers';
export type { TrisolarisRewarder } from './ethers';
